select case substr(visit.visitdate ,6,2) when '01' then 'มกราคม'
when '02' then 'กุมภาพันธ์'
when '03' then 'มีนาคม'
when '04' then 'เมษายน'
when '05' then 'พฤษภาคม'
when '06' then 'มิถุนายน'
when '07' then 'กรกฎาคม'
when '08' then 'สิงหาคม'
when '09' then 'กันยายน'
when '10' then 'ตุลาคม'
when '11' then 'พฤศจิกายน'
when '12' then 'ธันวาคม'
else null end as mount
,count(distinct visit.pid,visit.pcucodeperson) AS 'คน'
,count(distinct visit.visitno,visit.pcucode) AS 'ครั้ง'
from person
inner join visit on person.pid = visit.pid and person.pcucodeperson = visit.pcucode
where visit.visitdate BETWEEN '2013-10-01' and '2014-09-30'
group by mount
order by visit.visitdate;